$(function () {

  var u = navigator.userAgent;
  var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1 //android终端
  var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
  // var params = new URLSearchParams(location.search);
 
  var paths = location.search;
  var index = paths.indexOf("?") + 1; //返回的是？后面一位所在的索引值；
  var str = paths.substr(index);
  var arr = str.split('&'); //返回的为数组
  var obj = {};
  for (var i = 0; i < arr.length; i++) {
    var array = arr[i].split('=');
    var key = array[0];
    var value = array[1];
    obj[key] = value;
  }
  console.log(obj);
  var id = obj.id;
  var oneId = obj.oneId;
  var token = obj.token;
  var islogin = obj.isLogin;
  var baseurl = obj.baseurl;
  function setupWebViewJavascriptBridge(callback) {
    if (window.WebViewJavascriptBridge) { return callback(WebViewJavascriptBridge); }
    if (window.WVJBCallbacks) { return window.WVJBCallbacks.push(callback); }
    window.WVJBCallbacks = [callback]; // 创建一个 WVJBCallbacks 全局属性数组，并将 callback 插入到数组中。
    var WVJBIframe = document.createElement('iframe'); // 创建一个 iframe 元素
    WVJBIframe.style.display = 'none'; // 不显示
    WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__'; // 设置 iframe 的 src 属性
    document.documentElement.appendChild(WVJBIframe); // 把 iframe 添加到当前文导航上。
    setTimeout(function () { document.documentElement.removeChild(WVJBIframe) }, 0)
  }

  // 这里主要是注册 OC 将要调用的 JS 方法。
  setupWebViewJavascriptBridge(function (bridge) {
    // 声明 OC 需要调用的 JS 方法。
    bridge.registerHandler('getBaseUrl', function (data, responseCallback) {
      // responseCallback(data);
    });
  });

  var data = {
    deinfo: '',
    token: token,
    price: '', //最小价格
    maxPrice: '', //最大价格
    showPrice: '', //价格区间
    guiIds: [], //规格id拼接
    guideName: [], //规格名称
    guideNames: '',
    productNo: '',
    textId: '', //商品skuid
    productId: '', //商品id
    de_num: 1, //商品数量
    storageNum: 999, //库存
    max_de_num: 999, //最大的商品数量
    addListandstep: '', //1为点击加入订货单，0为点击立即购买
    remark: '', //备注
    isCollect: false, //是否被收藏
    baseurl: baseurl,
    islogin: islogin, //是否登录
  };
  function getDetails() {
    console.log(data.baseurl)
    $.ajax({
      type: 'post',//get或post
      url: baseurl + '/operatingGoods/findCommodityDetails',//请求的地址
      contentType: "application/json",
      data: JSON.stringify({
        id: id,
        oneId: oneId,
        twoId: -1,
        token: token
      }),
      dataType: 'json',
      success: function (res) {//成功的回调函数
        console.log(res)
        var reques = res.data.thumbnailList; //轮播图
        var content = res.data;
        var guiIds = []
        var guideName = []

        if (content.freightRemark == null || content.freightRemark == '') {
          content.freightRemark = '运费详情，咨询客服';
        }

        if (content.productSpecDtos == null) {
          data.deinfo = res.data
          data.price = res.data.price
          data.maxPrice = res.data.maxPrice
          data.showPrice = res.data.showPrice
          data.productId = res.data.productId
          data.textId = res.data.id
          data.storageNum = res.data.storageNum
          data.isCollect = res.data.ifCollection
          data.productNo = res.data.productNo
        } else {
          data.deinfo = res.data
          data.price = res.data.price
          data.maxPrice = res.data.maxPrice
          data.showPrice = res.data.showPrice
          data.productId = res.data.productId
          data.textId = res.data.id
          data.isCollect = res.data.ifCollection
          data.storageNum = res.data.storageNum
          data.productNo = res.data.productNo
          for (var i = 0; i < content.productSpecDtos.length; i++) {
            for (var j = 0; j < content.productSpecDtos[i].specVos.length; j++) {
              if (content.productSpecDtos[i].specVos[j].isChecked == 1) {
                guiIds.push(content.productSpecDtos[i].specVos[j].id)
                guideName.push(content.productSpecDtos[i].specVos[j].specValue)
              }
            }
          }
          data.guiIds = guiIds
          data.guideName = guideName
          data.guideNames = guideName.toString()
        }
        // console.log(data.guideNames)
        $('#swiper').html(template("test", { datas: reques })); //轮播图
        $('#main_content').html(template("title_price", { datas: data }));
        $('#de_info').html(template("deInfoProtect", { datas: data }));
        $('#de_shop_info').html(template("deShowInfo", { datas: data }));
        $('#de_shop_infos').html(template("deShowInfos", { datas: data }));
        $('#main_guige').html(template("mainGuige", { datas: data }))
        $('#explain').html(template("exp_lain", { datas: data }))
        $('#de_foot_ten').html(template("foot_ten", { datas: data }))
        $('#de_win').html(template("dewin", { datas: data }))
      }
    })
  }
  getDetails()

  /* 规格点击事件*/
  $('#main_guige,#de_win').on('click', '.main_guige_list p,.de_guige_content p', function (e) {

    var ischeck = $(this).attr('data-ischeck') //判断是否有商品
    var index = $(this).attr('data-index') //具体某行哪一个下标
    var itss = $(this).attr('data-itss') //哪一行下标
    var product = $(this).attr('data-id')
    var sid = $(this).attr('data-sid') //当前点击具体规格值id
    var isgray = $(this).attr('data-isgray') //当前点击是否是灰色状态
    var guiIds = data.guiIds //传给后端的id拼接
    var guideName = data.guideName //存储规格名
    console.log(guideName)
    for (var i = 0; i < data.deinfo.productSpecDtos.length; i++) {
      for (var j = 0; j < data.deinfo.productSpecDtos[i].specVos.length; j++) {
        if (data.deinfo.productSpecDtos[i].specVos[j].id == sid) {
          guideName.splice(itss, 1, data.deinfo.productSpecDtos[i].specVos[j].specValue)
        }
      }
    }
    //切换规格时改变数组的id号和文字
    guiIds.splice(itss, 1, sid)
    console.log(guiIds)
    var tokGuide = guiIds
    data.guiIds = guiIds
    data.guideName = guideName
    //把拼接好的数组转成字符串给后端
    guiIds = guiIds.toString()
    console.log(guiIds)
    getguideList(token, data.textId, guiIds, product, sid)
    // tirgger.onDetailedList(cnt,id,specValue,remark)
  })

  function getguideList(token, id, guiIds, product, twoId) {

    $.ajax({
      type: 'post',//get或post
      url: baseurl + '/operatingGoods/findCommodityDetails',//请求的地址
      contentType: "application/json",
      data: JSON.stringify({
        id: id,
        oneId: product,
        twoId: twoId,
        guiIds: guiIds,
        token: token
      }),
      dataType: 'json',
      success: function (res) {//成功的回调函数
        console.log(res)
        if (res.code == 0) {
          var content = res.data;
          var newguiIds = []
          var newguideName = []

          for (var i = 0; i < content.productSpecDtos.length; i++) {
            for (var j = 0; j < content.productSpecDtos[i].specVos.length; j++) {
              if (content.productSpecDtos[i].specVos[j].isChecked == 1) {
                newguiIds[i] = content.productSpecDtos[i].specVos[j].id
                
                newguideName.push(content.productSpecDtos[i].specVos[j].specValue)
                break
              } else {
                newguiIds[i] = -2
              }
            }
          }

          var v = content.specValueIds.split(",")
          console.log(newguiIds)
          data.deinfo = content
          data.guiIds = newguiIds
          data.guideName = newguideName
          data.guideNames = newguideName.toString()
          data.showPrice = content.showPrice
          data.price = content.price
          data.productId = res.data.productId
          data.maxPrice = content.maxPrice
          data.storageNum = res.data.storageNum
          data.productNo = res.data.productNo
          data.customPriceRemark = content.customPriceRemark
          console.log(data.guiIds)
          console.log(data.guideNames)
          //重新渲染页面
          $('#main_content').html(template("title_price", { datas: data }));
          $('#de_info').html(template("deInfoProtect", { datas: data }));
          $('#de_shop_info').html(template("deShowInfo", { datas: data }));
          $('#de_shop_infos').html(template("deShowInfos", { datas: data }));
          $('#main_guige').html(template("mainGuige", { datas: data }));
          $('#de_win').html(template("dewin", { datas: data }));
        }

      }
    })
  }

  /*输入框输入数字*/
  $('#de_win').on('input', '#number', function (e) {
    // console.log($(this).val())
    data.de_num = $(this).val()
    // console.log(data.de_num)
    $('#de_win').html(template("dewin", { datas: data }));

  })

  /*减数量*/
  $('#de_win').on('click', '#num_down', function (e) {

    if (data.de_num <= 1) {
      data.de_num = 1
    } else {
      data.de_num = parseInt(data.de_num) - 1
    }
    // console.log(data.de_num)
    $('#de_wines').html(template("dewin", { datas: data }));
  })

  /*加数量*/
  $('#de_win').on('click', '#num_add', function (e) {

    if (data.de_num >= data.max_de_num) {
      data.de_num = data.max_de_num
    } else if (data.storageNum === 0) {
      data.de_num = data.storageNum
    } else {
      data.de_num = parseInt(data.de_num) + 1
    }
    // console.log(data.de_num)
    // console.log(data.storageNum)
    $('#de_wines').html(template("dewin", { datas: data }));

  })

  /*获取备注内容*/
  $('#de_win').on('input', '#reason', function (e) {
    data.remark = $(this).val()
  })

  /* *
  * 加入订货清单 
  */
  $('#de_win').on('click', '.de_win_add', function () {
    var cnt = data.de_num //数量
    var id = data.productId //商品id
    var remark = data.remark //备注
    var specValue = data.guiIds.toString() //规格值id
    if (specValue == '') {
      specValue = ''
    } else {
      specValue = specValue
    }
    if (isiOS) {
      WebViewJavascriptBridge.callHandler("onDetailedList", { cnt: cnt, id: id, specValue: specValue, remark: remark }, function (res) {
        console.log(res);
        if (res.isSuccess) {
          onShut()
        } else {
          onShut()
        }
      });
    } else if (isAndroid) {
      tirgger.onDetailedList(cnt, id, specValue, remark)
      onAddList()
    }
    data.remark = '';
    $('#de_win').html(template("dewin", { datas: data }));
  })

  /* *
 * 下一步
 */
  $('#de_win').on('click', '.de_next_add', function () {
    // console.log(data.remark) //备注
    // console.log(data.guiIds.toString()) //规格值id
    // console.log(data.productId) //商品id
    // console.log(data.de_num) //数量
    var cnt = data.de_num //数量
    var id = data.productId //商品id
    var remark = data.remark //备注
    var specValue = data.guiIds.toString() //规格值id
    var specDescripition = data.guideNames //商品规格
    var productTitle = data.deinfo.productTitle //商品名称
    var imageUrl = data.deinfo.thumbnailList[0] //图片
    var priceList = data.showPrice //价格
    var unit = data.deinfo.unit //单位
    if (specValue == '') {
      specValue = ''
    } else {
      specValue = specValue
    }

    if (isiOS) {
      WebViewJavascriptBridge.callHandler("onNextStep", { cnt: cnt, id: id, specValue: specValue, remark: remark, specDescripition: specDescripition, productTitle: productTitle, imageUrl: imageUrl, priceList: priceList, unit: unit }, function (res) {
        console.log(res);
        if (res.isSuccess) {
          onShut()
        } else {
          onShut()
        }
      });
    } else if (isAndroid) {
      tirgger.onNextStep(cnt, id, specValue, remark, specDescripition, productTitle, imageUrl, priceList, unit)
      onAddList()
    }
    data.remark = '';
    $('#de_win').html(template("dewin", { datas: data }));
  })

  function onAddList() {
    onShut()
  }

  $('.header li').on('click', function (e) {
    $(this).addClass('header_active')
    $(this).siblings('li').removeClass('header_active')
    //阻止a标签的默认行为跳转,
    e = e || window.event;
    e.preventDefault();

  });

  /*轮播图*/
  var mySwiper = new Swiper('.swiper-container', {
    loop: true,
    speed: 2000,
    autoplay: {
      delay: 2000,
    },
    pagination: '.swiper-pagination',
    paginationType: 'fraction',
    autoplayDisableOnInteraction: false,
    observer: true,//修改swiper自己或子元素时，自动初始化swiper 
    observeParents: false,//修改swiper的父元素时，自动初始化swiper 
    onSlideChangeEnd: function (swiper) {
      swiper.update();
      mySwiper.startAutoplay();
      mySwiper.reLoop();
    }
  })

  /* 禁止遮罩层滚动*/
  $('.de_bg_zz').on('touchmove', function (e) {
    e.preventDefault();
  });

  /*隐藏遮罩层*/
  $('.de_bg_zz').click(function (e) {
    onShut()
  });

  function onShut() {
    $('.de_bg_zz').removeClass('de_block').addClass('de_none')

    $('.de_win').removeClass('de_block animated').addClass('de_none')

    $('.de_win2').removeClass('de_block animated').addClass('de_none')
  }
  /** 
  *显示遮罩层
  *加入订货单
  */
  $('#de_foot_ten').on('click', '.de_coma_fot3', function (e) {
    data.addListandstep = 1
    $('.de_bg_zz').removeClass('de_none').addClass('de_block')

    $('#de_win').removeClass('de_none').addClass('de_block animated')
    $('#de_win').html(template("dewin", { datas: data }));
  });

  /**
   * 显示遮罩层
   * 立即购买
   * */
  $('#de_foot_ten').on('click', '.de_fot4', function (e) {
    data.addListandstep = 0
    $('.de_bg_zz').removeClass('de_none').addClass('de_block')

    $('.de_win').removeClass('de_none').addClass('de_block animated')
    $('#de_win').html(template("dewin", { datas: data }));
  });

  /* 收藏点击事件*/
  $('#de_foot_ten').on('click', '.de_coma_fot1, .de_fot1', function () {
    var itemIdArray = []
    itemIdArray.push(data.productId)
    console.log(itemIdArray)
    var ifCollection = data.isCollect //是否被收藏 true or false
    if (isiOS) {
      WebViewJavascriptBridge.callHandler("onEnshrineListen", { itemIdArray: itemIdArray, ifCollection: ifCollection }, function (res) {
        console.log(res.isSuccess);
        data.isCollect = res.isSuccess
        $('#de_foot_ten').html(template("foot_ten", { datas: data }))
      });
    } else if (isAndroid) {
      tirgger.onEnshrineListen(itemIdArray, ifCollection)
      if (data.isCollect) {
        onDeleteCollect()
      } else {
        onCollect()
      }
    }
  })
  // 收藏
  function onCollect() {
    if (data.islogin == 1) {
      data.isCollect = true
      $('#de_foot_ten').html(template("foot_ten", { datas: data }))
    }
  }
  // 取消收藏
  function onDeleteCollect() {
    data.isCollect = false
    $('#de_foot_ten').html(template("foot_ten", { datas: data }))
  }
  /*立即询价点击事件*/
  $('#de_foot_ten').on('click', '.de_coma_fot4', function () {
    if (isiOS) {
      WebViewJavascriptBridge.callHandler("onServiceListen", { title: '立即询价点击事件' }, function (res) { console.log(res); });
    } else if (isAndroid) {
      tirgger.onServiceListen('立即询价点击事件')
    }

  })

  /* 分享事件 */
  $('#main_content').on('click', '.main_img', function () {
    console.log('分享事件')
    var specification; //商品规格
    var productTitle = data.deinfo.productTitle //商品名称
    var imageUrl = data.deinfo.thumbnailList[0] //图片
    var unit = data.deinfo.unit //单位
    var ifCustomMade = data.deinfo.ifCustomMade //是否支持定制
    var isClass = $('.de_guige_list').hasClass('sel_border') //是否有某个类名
    var priceList //价格
    if (data.deinfo.ifCustomMade == 0) {
      priceList = data.price
    } else {
      priceList = data.showPrice
    }

    if (isClass) {
      specification = $('.sel_border').html()
    } else {
      specification = ''
    }
    if (isiOS) {
      WebViewJavascriptBridge.callHandler("onShare", { specification: specification, productTitle: productTitle, imageUrl: imageUrl, priceList: priceList, unit: unit, ifCustomMade: ifCustomMade }, function (res) { console.log(res); });
    } else if (isAndroid) {
      tirgger.onShare(specification, productTitle, imageUrl, priceList, unit, ifCustomMade)
    }

  })
  /* 客服*/
  $('#de_foot_ten').on('click', '.de_fot5, de_coma_fot4', function () {
    // console.log(121)
    if (isiOS) {
      WebViewJavascriptBridge.callHandler("onServiceListen", { title: '客服事件' }, function (res) { console.log(res); });
    } else if (isAndroid) {
      tirgger.onServiceListen('客服事件')
    }
  })

  /* 订货单点击事件*/
  $('#de_foot_ten').on('click', '.de_coma_fot2, .de_fot2', function () {
    // console.log(121)
    if (isiOS) {
      WebViewJavascriptBridge.callHandler("onOrderListen", { title: '订货单点击事件' }, function (res) { console.log(res); });
    } else if (isAndroid) {
      tirgger.onOrderListen('订货单点击事件')
    }
  })
  var hs_hight
  $('#header_detai li a').on('click', function () {
    // document.getElementById('de_shop_detail').scrollIntoView()
    // $('html,body').animate({ scrollTop: ($($(this).attr('href')).offset().top - 50) }, 1000);
    // location.hash="详情";
    console.log($(window).scrollTop())
    hs_hight = $($(this).attr("href")).offset().top
    $("html, body").animate({
      scrollTop: hs_hight + "px"
    }, 500);
    console.log(hs_hight)
    $(this).parent().addClass('header_active')
    $(this).parent().siblings('li').removeClass('header_active')
    return false;
  })

  // $(window).scroll(function () {
  //   console.log('测试:'+hs_hight)
  //   var scroll = $(window).scrollTop()
  //   console.log(scroll)
  //   if (scroll <= hs_hight) {
  //     $('#header_detai').children().eq(0).addClass('header_active').siblings('li').removeClass('header_active')
  //   }
  // });

  // 复制产品编号
  $('#de_info').on('click', '.copy', function () {
    var productNo = data.productNo
    if (isiOS) {
      WebViewJavascriptBridge.callHandler("onCopy", { productNo: productNo }, function (res) { console.log(res); });
    } else if (isAndroid) {
      tirgger.onCopy(productNo)
    }
  })
});